body {
    position: relative;
    background: #000000;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
#box-mobile {
    display: none;
}

.header-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}


#logo-desktop {
    margin: 10px 80px;
    max-width: 486px;
    height: auto;
    transition: transform 0.3s ease-in-out; /* Плавный переход при изменении масштаба */
}
#logo-mobile {
    max-width: 150px; /* Максимальная ширина логотипа */
    height: auto; /* Автоматическая высота */
    transition: transform 0.3s ease-in-out; /* Плавный переход при изменении масштаба */
}

#header-mobile {
    display: none;
}


.beauty-salon {
    margin-top: 15px;
    font-family: 'Goudy Old Style', serif;
    font-size: 1.2vw;
    font-weight: 400;
    line-height: 1.2;
    text-align: center;
    color: #FFFFFF;
    white-space: nowrap;
}

.beauty-salon-mobile {
    margin-top: 150px;
    font-family: 'Goudy Old Style', serif;
    font-size: 1.2vw;
    font-weight: 400;
    line-height: 1.2;
    text-align: center;
    color: #FFFFFF;
    white-space: nowrap;
}

.language-button {
    width: 124px;
    height: 50px;
    border-radius: 28px;
    background: #ADF1D0;
    color: #1E5945;
}

/* Текст внутри кнопок */
.language-button-text {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 19.36px;
    text-align: center;
    color: #1E5945;
    display: flex; /* Добавлено для центровки текста */
    align-items: center; /* Добавлено для центровки текста */
    justify-content: center; /* Добавлено для центровки текста */
}

.continue-button .language-button-text {
    display: flex;
    flex-direction: column; /* Вертикальное расположение текста */

}

.continue-button .language-button-text span {
    display: block;
}


/* Стиль кнопки "Продолжить" */
.continue-button {
    width: 125px;
    display: flex;
    flex-direction: column; /* Вертикальное расположение текста */
    justify-content: center;
    align-items: center;

}

.continue-button .language-button-text .top-text {
    margin-bottom: 2px; /* Добавить отступ между строками */
    margin-top: 5px;
}


/* Добавлен эффект при наведении */
.language-button:hover {
    color: #9fd7b6;
    background-color: #1E5945;
}

.continue-button:hover .language-button-text {
    color: #9fd7b6;
}

/* Добавлен эффект при нажатии для всех кнопок */
.language-button:active {
    color: #FFFFFF; /* Белый цвет текста */
}

.continue-button:active .language-button-text {
    color: #FFFFFF;
}


/* Заголовок Vyberte si svůj jazyk */
.language-selection {
    width: 100%; /* Занимает всю ширину контейнера */
    height: 87px;
    opacity: 1;
    font-family: 'Goudy Bookletter 1911', serif;
    font-size: 4vw; /* Адаптивный размер шрифта */
    font-weight: 400;
    line-height: 87.06px;
    text-align: center;
    color: #FFFFFF;
    margin-bottom: 20px; /* Отступ снизу */
}

.box-rectangle-135 {
    position: absolute;
    width: 846px;
    height: 353px;
    left: calc(50% - 423px); /* Центрирование */
    top: 373px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: none; /* Удаляем все границы */
    padding-bottom: 60px; /* Добавляем дополнительное пространство снизу */
}

/* Верхний левый угол */
.box-rectangle-135::before {
    content: '';
    position: absolute;
    top: -3px;
    left: -3px;
    width: 196px; /* Ширина видимого угла */
    height: 176px; /* Высота видимого угла */
    border-top: 3px solid #1E5945;
    border-left: 3px solid #1E5945;
    pointer-events: none; /* Позволяет событиям мыши проходить через элемент */
}


/* Нижний правый угол */
.box-rectangle-135::after {
    content: '';
    position: absolute;
    bottom: 35px;
    right: -3px;
    width: 196px; /* Ширина видимого угла */
    height: 176px; /* Высота видимого угла */
    border-bottom: 3px solid #1E5945;
    border-right: 3px solid #1E5945;
    pointer-events: none; /* Позволяет событиям мыши проходить через элемент */
}

#mobile-container {
        display: none;
    }




.button-men {
    width: 124px;
    height: 50px;
    border-radius: 28px;
    background: #ADF1D0;
    color: #1E5945;
    font-family: Inter, serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 19.36px;
    text-align: center;
}

.button-women {
    width: 147px;
    height: 19px;
    background: #ADF1D0;
    color: #1E5945;
    font-family: Inter, serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 19.36px;
    text-align: center;
}

.button-service-women {
    position: absolute;
    width: 217px;
    height: 58px;
    border-radius: 28px;
    background: #ADF1D0;
    margin-top: 350px;
    margin-right: 200px;
}

.button-service-men {
    position: absolute;
    width: 217px;
    height: 58px;
    border-radius: 28px;
    background: #ADF1D0;
    margin-top: 800px;
    margin-right: 300px;
}


.button-service-text {
    font-family: 'Inter', serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    text-transform: uppercase;
    color: #1E5945;
}

.button-women:hover {
    color: #9fd7b6;
    background-color: #1E5945;
}

.button-women:active {
    color: #FFFFFF; /* Белый цвет текста */
}

.button-men:hover {
    color: #9fd7b6;
    background-color: #1E5945;
}

.button-men:active {
    color: #FFFFFF; /* Белый цвет текста */
}

.service-image-women {
    position: absolute;
    width: 413px;
    height: 250px;
    margin-right: 450px;
    top: 50px;
    border-radius: 28px;
    background: url('/static/images/service_women.png') no-repeat center center;
    background-size: cover;
}

.service-image-men {
    position: absolute;
    width: 413px;
    height: 250px;
    margin-left: 500px;
    top: 290px;
    border-radius: 28px;
    border: 1px;
    background: url('/static/images/service_men.png') no-repeat center top;
    background-size: cover;

}

.container {
    position: relative;
    max-width: 1400px;

    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 768px) {

    .continue-button-mobile .language-button-text-mobile .top-text-mobile {
    margin-bottom: 1px; /* Добавить отступ между строками */
    margin-top: 5px;
}

    .continue-button-mobile:active .language-button-text-mobile {
    color: #FFFFFF;
}

    .language-button-mobile:hover {
    color: #9fd7b6;
    background-color: #1E5945;
}

.continue-button-mobile:hover .language-button-text-mobile {
    color: #9fd7b6;
}

/* Добавлен эффект при нажатии для всех кнопок */
.language-button-mobile:active {
    color: #FFFFFF; /* Белый цвет текста */
}

.continue-button-mobile:active .language-button-text {
    color: #FFFFFF;
}

    .continue-button-mobile {
    width: 125px;
    display: flex;
    flex-direction: column; /* Вертикальное расположение текста */
    justify-content: center;
    align-items: center;

}

    .language-button-text-mobile {
    display: flex;
    flex-direction: column; /* Вертикальное расположение текста */

}

.language-button-text-mobile span {
    display: block;
}

.language-button-text-mobile .top-text {
    margin-bottom: 1px; /* Добавить отступ между строками */
    margin-top: 5px;
}

#language-selection-mobile {
    margin-right: -40%;
    margin-bottom: 10px;
     gap: 20px;
}

    .language-button-mobile {
    width: 124px;
    height: 50px;

    border-radius: 28px;
    background: #ADF1D0;
    color: #1E5945;
        font-size: 16px;
}

    .language-button-text-mobile {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 15px;
    text-align: center;
    color: #1E5945;
    display: flex; /* Добавлено для центровки текста */
    align-items: center; /* Добавлено для центровки текста */
    justify-content: center; /* Добавлено для центровки текста */
}

    .language-selection-h2-mobile {
    width: 350px; /* Занимает всю ширину контейнера */
    height: 140px;
    opacity: 1;
    font-family: 'Goudy Bookletter 1911', serif;
    font-size: 4vw; /* Адаптивный размер шрифта */
    font-weight: 400;
    line-height: 87.06px;
    text-align: center;
    color: #FFFFFF;



}


    .box-rectangle-135-mobile {
    position: absolute;
    width: 603px;
    height: 500px;
    left: calc(50% - 423px); /* Центрирование */
    top: 150px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: none; /* Удаляем все границы */

}

/* Верхний левый угол */
.box-rectangle-135-mobile::before {
    content: '';
    position: absolute;
    top: 200px;
    left: 250px;
    width: 100px; /* Ширина видимого угла */
    height: 100px; /* Высота видимого угла */
    border-top: 3px solid #1E5945;
    border-left: 3px solid #1E5945;
    pointer-events: none; /* Позволяет событиям мыши проходить через элемент */
}


/* Нижний правый угол */
.box-rectangle-135-mobile::after {
    content: '';
    position: absolute;
    bottom: 35px;
    right: 10px;
    width: 100px; /* Ширина видимого угла */
    height: 100px; /* Высота видимого угла */
    border-bottom: 3px solid #1E5945;
    border-right: 3px solid #1E5945;
    pointer-events: none; /* Позволяет событиям мыши проходить через элемент */
}


    #box-desktop {
        display: none;
    }

    #box-mobile {
        display: flex;
    }

    .service-image-women-mobile {
    position: absolute;
    width: 170px;
    height: 125px;
    right: 45%;
    top: 150%;
    border-radius: 28px;
    background: url('/static/images/service_women.png') no-repeat center center;
    background-size: cover;
}

.service-image-men-mobile {
    position: absolute;
    width: 170px;
    height: 125px;
    bottom: -200%;
    border-radius: 28px;
    border: 1px;
    background: url('/static/images/service_men.png') no-repeat center top;
    background-size: cover;

}

.button-men-mobile {
    width: 124px;
    height: 50px;
    border-radius: 28px;
    background: #ADF1D0;
    color: #1E5945;
    font-family: Inter, serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 19.36px;
    text-align: center;
}

.button-women-mobile {
    width: 147px;
    height: 19px;
    background: #ADF1D0;
    color: #1E5945;
    font-family: Inter, serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 19.36px;
    text-align: center;
}
    .button-service-women-mobile {
    position: absolute;
    width: 108px;
    height: 58px;
    border-radius: 28px;
    background: #ADF1D0;
    margin-top: 100px;
    right: 50px;
}

.button-service-men-mobile {
    position: absolute;
    width: 108px;
    height: 58px;
    border-radius: 28px;
    background: #ADF1D0;
    margin-top: 270px;
    left: 80px;
}


.button-service-text-mobile {
    font-family: 'Inter', serif;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 19px;
    text-transform: uppercase;
    color: #1E5945;
}

    #header-desktop {
        display: none;
    }

    #desktop-container {
        display: none;
    }
    #mobile-container {
        display: flex;
    }
    #header-mobile {
        display: flex; /* Показать мобильный хедер */
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100%;

    }
    #beauty-salon-mobile {
        font-size: 10px; /* Меньший размер шрифта */
        top: 10px;
    }
    #logo-mobile {
        position: absolute;
        max-width: 276px;
        left: 50%; /* Позиция по центру */
        transform: translateX(-50%); /* Центрируем по горизонтали */
        top: 20px;
    }

    .box-rectangle-135 {
        width: 100%;
        max-width: none; /* Убираем максимальную ширину */
        padding: 10px;
    }

    .language-selection-h2-mobile {
        margin-left: 40%;
        font-size: 24px; /* Меньший размер шрифта */
    }

    .language-button {
        width: 100px; /* Меньше кнопки */
        height: 40px;
    }
}